Package org.eclipse.rdf4j.sparqlbuilder.rdf

## Class RdfBlankNode.PropertiesBlankNode

- java.lang.Object
- - org.eclipse.rdf4j.sparqlbuilder.rdf.RdfBlankNode.PropertiesBlankNode

- All Implemented Interfaces:
    `Operand`, `QueryElement`, `RdfBlankNode`, `RdfObject`, `RdfResource`, `RdfSubject`, `RdfValue`
  Enclosing interface:
    RdfBlankNode

      public static class RdfBlankNode.PropertiesBlankNode
      extends Object
      implements RdfBlankNode

  A blank node representing a resource that matches the contained set of predicate-object lists
  See Also:
    Blank node syntax

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.sparqlbuilder.rdf.RdfBlankNode

      `RdfBlankNode.AnonymousBlankNode, RdfBlankNode.LabeledBlankNode, RdfBlankNode.PropertiesBlankNode`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RdfBlankNode.PropertiesBlankNode` | `andHas​(Consumer<EmptyPropertyPathBuilder> propertyPathConfigurer, RdfObject... objects)` | Using the predicate-object and object list mechanisms, expand this blank node's pattern to include triples consisting of this blank node as the subject, and the configured predicate path and object(s)
    `RdfBlankNode.PropertiesBlankNode` | `andHas​(IRI predicate, RdfObject... objects)` | Using the predicate-object and object list mechanisms, expand this blank node's pattern to include triples consisting of this blank node as the subject, and the given predicate and object(s)
    `RdfBlankNode.PropertiesBlankNode` | `andHas​(RdfPredicateObjectList... lists)` | Add predicate-object lists to this blank node's pattern
    `RdfBlankNode.PropertiesBlankNode` | `andHas​(RdfPredicate predicate, RdfObject... objects)` | Using the predicate-object and object list mechanisms, expand this blank node's pattern to include triples consisting of this blank node as the subject, and the given predicate and object(s)
    `String` | `getQueryString()` |
    `TriplePattern` | `toTp()` | convert this blank node to a triple pattern

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sparqlbuilder.rdf.RdfSubject

      `has, has, has, has, has, has, has, has, has, has, has, has, has, has, has, has, isA, isA`

- - ### Method Detail

    - #### andHas

          public RdfBlankNode.PropertiesBlankNode andHas​(RdfPredicate predicate,
                                                         RdfObject... objects)

      Using the predicate-object and object list mechanisms, expand this blank node's pattern to include triples consisting of this blank node as the subject, and the given predicate and object(s)
      Parameters:
        `predicate` - the predicate of the triple to add
        `objects` - the object or objects of the triple to add
      Returns:
        this blank node
      See Also:
        Predicate-Object Lists, Object Lists

    - #### andHas

          public RdfBlankNode.PropertiesBlankNode andHas​(Consumer<EmptyPropertyPathBuilder> propertyPathConfigurer,
                                                         RdfObject... objects)

      Using the predicate-object and object list mechanisms, expand this blank node's pattern to include triples consisting of this blank node as the subject, and the configured predicate path and object(s)
      Parameters:
        `propertyPathConfigurer` -
        `objects` -
      Returns:

    - #### andHas

          public RdfBlankNode.PropertiesBlankNode andHas​(IRI predicate,
                                                         RdfObject... objects)

      Using the predicate-object and object list mechanisms, expand this blank node's pattern to include triples consisting of this blank node as the subject, and the given predicate and object(s)
      Parameters:
        `predicate` - the predicate of the triple to add
        `objects` - the object or objects of the triple to add
      Returns:
        this blank node
      See Also:
        Predicate-Object Lists, Object Lists

    - #### andHas

          public RdfBlankNode.PropertiesBlankNode andHas​(RdfPredicateObjectList... lists)

      Add predicate-object lists to this blank node's pattern
      Parameters:
        `lists` - the `RdfPredicateObjectList`(s) to add
      Returns:
        this blank node
      See Also:
        Predicate-Object Lists, Object Lists

    - #### toTp

          public TriplePattern toTp()

      convert this blank node to a triple pattern
      Returns:
        the triple pattern identified by this blank node
      See Also:
        blank node syntax

    - #### getQueryString

          public String getQueryString()

      Specified by:
        `getQueryString` in interface `QueryElement`
      Returns:
        the String representing the SPARQL syntax of this element